using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 安全检查文件
    /// </summary>
    [Description("安全检查文件")]
    public class T_BS_SAFE_CHECK_FILE : MesEntityBase
    {
        /// <summary>
        /// 消息发布ID
        /// </summary>
        [Description("消息发布ID")]
        [DataFieldForeignKey("Nav_SafeCheck", "Nav_Files")]
        public Guid SAFE_CHECK_ID { get; set; }

        /// <summary>
        /// 导航属性：消息发布
        /// </summary>
        [Description("导航属性：消息发布")]
        public T_BS_SAFE_CHECK Nav_SafeCheck { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
